<!-- Code generated from the comments of the Config struct in builder/libvirt/config.go; DO NOT EDIT MANUALLY -->

- `communicator` (communicator.Config) - Communicator configuration
  See [Packer's documentation](https://www.packer.io/docs/communicators) for more.

- `domain_name` (string) - The libvirt name of the domain (virtual machine) running your build
  If not specified, a random name with the prefix `packer-` will be used

- `memory` (int) - The amount of memory to use when building the VM
  in megabytes. This defaults to 512 megabytes.

- `vcpu` (int) - The number of cpus to use when building the VM.
  The default is `1` CPU.

- `cpu_mode` (string) - Set CPU mode, you might want to set it to "host-passthrough".
  See [libvirt documentation](https://libvirt.org/formatdomain.html#cpu-model-and-topology) for more information.
  If not specified, let libvirt decide.

- `network_interface` ([]network.NetworkInterface) - Network interface attachments. See [Network](#network) for more.

- `communicator_interface` (string) - The alias of the network interface used for the SSH/WinRM connections
  See [Communicators and network interfaces](#communicators-and-network-interfaces)

- `volume` ([]volume.Volume) - See [Volumes](#volumes)

- `artifact_volume_alias` (string) - The alias of the drive designated to be the artifact. To learn more,
  see [Volumes](#volumes)

- `boot_devices` ([]string) - Device(s) from which to boot, defaults to hard drive (first volume)
  Available boot devices are: `hd`, `network`, `cdrom`

- `graphics` ([]DomainGraphic) - See [Graphics and video, headless domains](#graphics-and-video-headless-domains).

- `network_address_source` (string) - The alias of the network interface designated as the communicator interface.
  Can be either `agent`, `lease` or `arp`. Default value is `agent`.
  To learn more, see [Communicators and network interfaces](#communicators-and-network-interfaces)
  in the builder documentation.

- `shutdown_mode` (string) - Packer will instruct libvirt to use this mode to properly shut down the virtual machine
  before it attempts to destroy it. Available modes are: `acpi`, `guest`, `initctl`, `signal` and `paravirt`.
  If not set, libvirt will choose the method of shutdown it considers the best.

- `shutdown_timeout` (duration string | ex: "1h5m2s") - After succesfull provisioning, Packer will wait this long for the virtual machine to gracefully
  stop before it destroys it. If not specified, Packer will wait for 5 minutes.

- `domain_type` (string) - [Expert] Domain type. It specifies the hypervisor used for running the domain.
  The allowed values are driver specific, but include "xen", "kvm", "hvf", "qemu" and "lxc".
  Default is kvm.
  If unsure, leave it empty.

- `arch` (string) - [Expert] Domain architecture. Default is x86_64

- `chipset` (string) - Libvirt Machine Type
  Value for domain XML's machine type. If unsure, leave it empty

- `loader_path` (string) - [Expert] Refers to a firmware blob, which is specified by absolute path, used to assist the domain creation process.
  If unsure, leave it empty.

- `loader_type` (string) - [Expert] Accepts values rom and pflash. It tells the hypervisor where in the guest memory the loader(rom) should be mapped.
  If unsure, leave it empty.

- `secure_boot` (bool) - [Expert] Some firmwares may implement the Secure boot feature.
  This attribute can be used to tell the hypervisor that the firmware is capable of Secure Boot feature.
  It cannot be used to enable or disable the feature itself in the firmware.
  If unsure, leave it empty.

- `nvram_path` (string) - [Expert] Some UEFI firmwares may want to use a non-volatile memory to store some variables.
  In the host, this is represented as a file and the absolute path to the file is stored in this element.
  If unsure, leave it empty.`

- `nvram_template` (string) - [Expert] If the domain is an UEFI domain, libvirt copies a so called master NVRAM store file defined in qemu.conf.
  If needed, the template attribute can be used to per domain override map of master NVRAM stores from the config file.
  If unsure, leave it empty.

<!-- End of code generated from the comments of the Config struct in builder/libvirt/config.go; -->
